using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Newtonsoft.Json;
using ZSMusic.BLL;
using ZSMusic.Model;

namespace WEB
{
    public partial class sendreport : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                Exception ex = JsonConvert.DeserializeObject<Exception>(Request["json"]);
                Response.Write(ErrReportBLL.Add(new ErrReport(ex)));
            }
            catch (Exception ex)
            {
                Response.Write(JsonConvert.SerializeObject(ex));
            }
        }
    }
}